document: modulemd
version: 1
data:
    summary: Connects C/C++/Objective C to some high-level programming languages
    description: >
        Simplified Wrapper and Interface Generator (SWIG) is a software
        development tool for connecting C, C++ and Objective C programs with a
        variety of high-level programming languages. SWIG is primarily used with
        Perl, Python and Tcl/TK, but it has also been extended to Java, Eiffel
        and Guile. SWIG is normally used to create high-level interpreted
        programming environments, systems integration, and as a tool for
        building user interfaces
    license:
        module: [MIT]
    references:
        community: https://docs.pagure.org/modularity/
        documentation: https://github.com/modularity-modules/swig
        tracker: https://github.com/modularity-modules/swig
    dependencies:
        buildrequires:
            # host: master
            platform: master
            autotools: master
            boost: master
            help2man: master
            perl: master
            python2: master
            python3: master
        requires:
            platform: master
            perl: master
    profiles:
        default:
            rpms:
                - swig
        complete:
            rpms:
                - swig
                - swig-doc
                - swig-gdb
                - cchache-swig
    api:
        rpms:
            - swig
            - swig-doc
            - swig-gdb
            - cchache-swig
    buildopts:
        rpms:
            macros: |
                %golang 0
                %guile 0
                %javalang 0
                %lualang 0
                %octave 0
                %phplang 0
                %Rlang 0
                %rubylang 0
                %tcl 0
    filter:
        dos2unix:
        bison:
    components:
        rpms:
            dos2unix:
                rationale: A build dependency
                ref: master
                buildorder: 0
            bison:
                rationale: A build dependency
                ref: master
                buildorder: 0
            swig:
                rationale: SWIG program
                ref: master
                buildorder: 1
